<?php
/**
* 404 Page Settings.
*
* @package Travel Destination
*/

$travel_destination_default = travel_destination_get_default_theme_options();

$wp_customize->add_section( 'travel_destination_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'travel-destination' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'travel_destination_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'travel_destination_404_main_title',
    array(
        'default'           => $travel_destination_default['travel_destination_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'travel_destination_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'travel-destination' ),
        'section'  => 'travel_destination_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'travel_destination_404_subtitle_one',
    array(
        'default'           => $travel_destination_default['travel_destination_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'travel_destination_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'travel-destination' ),
        'section'  => 'travel_destination_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'travel_destination_404_para_one',
    array(
        'default'           => $travel_destination_default['travel_destination_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'travel_destination_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'travel-destination' ),
        'section'  => 'travel_destination_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'travel_destination_404_subtitle_two',
    array(
        'default'           => $travel_destination_default['travel_destination_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'travel_destination_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'travel-destination' ),
        'section'  => 'travel_destination_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'travel_destination_404_para_two',
    array(
        'default'           => $travel_destination_default['travel_destination_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'travel_destination_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'travel-destination' ),
        'section'  => 'travel_destination_404_page_settings',
        'type'     => 'text',
    )
);